tileMap = {};

tileMap.map = {
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 1, 1, 1, 3, 0, 0, 0, 0, 0, 0, 1},
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}
};
tileMap.map.tileWidth = 32;
tileMap.map.tileHeight = 32;

function tileMap:load()
	tileMap.map.wall = love.graphics.newImage("wall.png");
	tileMap.map.slope_l = love.graphics.newImage("slope_l.png");
	tileMap.map.slope_r = love.graphics.newImage("slope_r.png");
end

function tileMap:draw()
	for y = 1, #tileMap.map do
		for x = 1, #tileMap.map[y] do
			
			if tileMap.map[y][x] == 1 then
				love.graphics.draw(tileMap.map.wall, x * tileMap.map.tileWidth, y * tileMap.map.tileHeight);
			end
			
			if tileMap.map[y][x] == 2 then
				love.graphics.draw(tileMap.map.slope_r, x * tileMap.map.tileWidth, y * tileMap.map.tileHeight);
			end
			
			if tileMap.map[y][x] == 3 then
				love.graphics.draw(tileMap.map.slope_l, x * tileMap.map.tileWidth, y * tileMap.map.tileHeight);
			end
			
		end
	end
end





























